Skip to main content
GET
/
api
/
flow-execution
/
{id}
Get Flow Execution
curl --request GET \
  --url https://api.hilos.io/api/flow-execution/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.hilos.io/api/flow-execution/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.hilos.io/api/flow-execution/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_by": {
    "id": 123,
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "jsmith@example.com",
    "profile_image": "<string>"
  },
  "flow": {
    "id": "<string>",
    "name": "<string>",
    "created_by": {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "jsmith@example.com",
      "profile_image": "<string>"
    },
    "channel": {
      "id": 123,
      "channel_id": "<string>",
      "name": "<string>",
      "created_on": "2023-11-07T05:31:56Z",
      "is_sandbox": true
    },
    "created_on": "2023-11-07T05:31:56Z",
    "is_active": true,
    "is_legacy": true,
    "flow_execution_variables": [
      "<string>"
    ]
  },
  "flow_version": {
    "flow": {
      "id": "<string>",
      "name": "<string>",
      "created_by": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "jsmith@example.com",
        "profile_image": "<string>"
      },
      "channel": {
        "id": 123,
        "channel_id": "<string>",
        "name": "<string>",
        "created_on": "2023-11-07T05:31:56Z",
        "is_sandbox": true
      },
      "created_on": "2023-11-07T05:31:56Z",
      "is_active": true,
      "is_legacy": true,
      "flow_execution_variables": [
        "<string>"
      ]
    },
    "is_current_version": true,
    "published_by": {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "jsmith@example.com",
      "profile_image": "<string>"
    },
    "last_updated_on": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "version_name": "<string>",
    "version_description": "<string>",
    "created_on": "2023-11-07T05:31:56Z",
    "num_contacts": 1073741823,
    "completed": 1073741823,
    "expired": 1073741823,
    "running": 1073741823,
    "canceled": 1073741823,
    "failed": 1073741823,
    "avg_completion_time": "<string>"
  },
  "last_run_on": "<string>",
  "inbound_start_message": "<string>",
  "inbound_start_message_match_exact": true,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_priority": true,
  "flow_execution_variables": {},
  "start_on": "2023-11-07T05:31:56Z",
  "num_contacts": 1073741823,
  "expired": 1073741823,
  "running": 1073741823,
  "completed": 1073741823,
  "canceled": 1073741823,
  "failed": 1073741823,
  "created_on": "2023-11-07T05:31:56Z",
  "avg_completion_time": "<string>",
  "contact_filters": [
    {
      "field": "<string>",
      "value": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "contact_import": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
string<uuid>
required

A Flow Execution Id to retrive.

Response

200 - application/json
status
enum<string>
required

The status of the Flow Execution.

Available options:
PROCESSING,
READY,
AWAITING_CONFIRMATION,
CONFIRMED,
STARTING,
RUNNING,
COMPLETED,
CANCELED,
PAUSED
execute_for
enum<string>
required
Available options:
FILTERS,
LIST,
ALL
created_by
object
required

The User that created the Flow Execution.

flow
object
required

The Flow that the Flow Execution is running.

flow_version
object
required

The Flow Version that the Flow Execution is running.

execution_type
enum<string>
required
Available options:
INBOUND,
OUTBOUND,
API,
FROM_FLOW
last_run_on
string
required
read-only

The last time that the Flow Execution was run.

inbound_trigger_with
enum<string>
Available options:
ANY_MESSAGE,
TEXT,
IMAGE,
FILE
inbound_start_message
string | null
inbound_start_message_match_exact
boolean
id
string<uuid>
has_priority
boolean
flow_execution_variables
object
start_on
string<date-time> | null
num_contacts
integer
Required range: 0 <= x <= 2147483647
expired
integer
Required range: 0 <= x <= 2147483647
running
integer
Required range: 0 <= x <= 2147483647
completed
integer
Required range: 0 <= x <= 2147483647
canceled
integer
Required range: 0 <= x <= 2147483647
failed
integer
Required range: 0 <= x <= 2147483647
created_on
string<date-time>
avg_completion_time
string
contact_filters
object[]

The filters to use to get the Contacts that the Flow Execution will run for. This field isn't required if executing the flow for a Contact List

contact_import
string<uuid> | null